package cn.com.qmth.stmms.biz.exam.service.query;

import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Sort.Direction;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.exam.model.ExamQuestion;

public class ExamQuestionSearchQuery extends BaseQuery<ExamQuestion> {

    private Integer examId;

    private String subjectCode;

    private String paperType;

    private Boolean objective;

    private Integer totalCountGt;

    private Double totalScoreGt;

    private Double zeroRateGt;

    private Integer mainNumber;

    public void orderBySubjectAndNumber() {
        setSort(new Sort(Direction.ASC, "subjectCode", "paperType", "mainNumber", "subNumber"));
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Boolean getObjective() {
        return objective;
    }

    public void setObjective(Boolean objective) {
        this.objective = objective;
    }

    public Integer getTotalCountGt() {
        return totalCountGt;
    }

    public void setTotalCountGt(Integer totalCountGt) {
        this.totalCountGt = totalCountGt;
    }

    public Double getTotalScoreGt() {
        return totalScoreGt;
    }

    public void setTotalScoreGt(Double totalScoreGt) {
        this.totalScoreGt = totalScoreGt;
    }

    public Double getZeroRateGt() {
        return zeroRateGt;
    }

    public void setZeroRateGt(Double zeroRateGt) {
        this.zeroRateGt = zeroRateGt;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

}
